/*

    config.h

    Configuration file for VUCAKO Bench

    6.6.2001

    Copyright (C) 2001 by Josef Pelikan, MFF UK Prague
        http://sun3.ms.mff.cuni.cz/~pepca/

    VUCAKO Bench is Open Source software (see http://www.opensource.org/
    for description what Open Source is); you may distributed it and/or
    modify it under the terms of GNU General Public License as published
    by the Free Software Foundation; either version 2, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    A copy of the GNU General Public License is available as
    `/usr/doc/copyright/GPL' in the Debian GNU/Linux distribution or on
    the World Wide Web at http://www.gnu.org/copyleft/gpl.html.  You can
    also obtain it by writing to the Free Software Foundation, Inc., 59
    Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _CONFIG_H

//  32-bit signed integer:
typedef int int32;

//	"bool" type for old C++ compilers:
#ifdef NO_BOOL
typedef char bool;
#  define false ((char)0)
#  define true ((char)1)
#endif

//  Set next symbols according to your OS (for "timer.cc" only):
//#define WIN32                               // needs not to be set manually!
//#define BSD_COMPATIBLE                      // for Linux
#define FTIME

//-----------------------------------------------------------
//  Usually you don't have to edit anything below this line

#ifdef WIN32
#  include <windows.h>
#  define __CDECL __cdecl
#  define VIRTUAL_ALLOC(len)  VirtualAlloc(NULL,len,MEM_COMMIT,PAGE_READWRITE)
#  define VIRTUAL_FREE(a,len) VirtualFree(a,0,MEM_RELEASE)
#  define SLEEP(t)            SleepEx(t,FALSE)
#else
#  define __CDECL
#  define VIRTUAL_ALLOC(len)  (new char[len])
#  define VIRTUAL_FREE(a,len) (delete[] a)
#  define SLEEP(t)
#endif

#define MinElapsed  20000

#endif
